#java home
export JAVA_HOME=/usr/lib/jvm/java-17-openjdk-17.0.5.0.8-2.el8_6.x86_64

#---------------------------------------------------------------------------

#log_directory
LOG_DIR=/applog/wildfly/wildfly_2612

#---------------------------------------------------------------------------

#server_properties
JBOSS_HOME=/app/wildfly/wildfly_2612
DOMAIN_HOME=$WILDFLY_HOME/domain
SERVER_HOME=/applog/wildfly/wildfly_2612
CONFIG_FILE=host-master.xml
HOST_NAME=master

IP_ADDRESS=1.1.1.1
MANAGEMENT_PORT=9100

PC_PORT=9101

#---------------------------------------------------------------------------

#heap_memory
JAVA_OPTS="$JAVA_OPTS -Xms1024m -Xmx1024m"
export JAVA_OPTS

#---------------------------------------------------------------------------

##### user & process check #####

#user running wildfly server
JBOSS_USER=midadm

#user check
USER=`whoami`

if [ "${USER}" != "${JBOSS_USER}" ]
then
        echo =============================================
        echo You are not jboss user, Please change user
        echo =============================================
        exit
fi

#process running check
PID=`ps -ef|grep java|grep Djboss.host.name=${HOST_NAME}|awk '{print $2}'`

if [ "$PID" != "" ]
then
	echo ""
        echo ========================================================
        echo "[HostName:${HOST_NAME}]" Process Is Already Running !!!
        echo ========================================================
	echo ""
        exit
fi

#---------------------------------------------------------------------------

#log_backup
LOG_TIME=$(date +"%Y%m%d_%H%M")
mv $LOG_DIR/$HOST_NAME.out ${LOG_DIR}/$HOST_NAME.out_${LOG_TIME}

#server_start
nohup $JBOSS_HOME/bin/domain.sh -Djboss.host.name=$HOST_NAME -Djboss.domain.base.dir=$DOMAIN_HOME -Djboss.domain.servers.dir=$SERVER_HOME --host-config=$CONFIG_FILE -Djboss.management.http.port=$MANAGEMENT_PORT -bmanagement=$IP_ADDRESS -b $IP_ADDRESS --pc-address=$IP_ADDRESS --pc-port=$PC_PORT>> $LOG_DIR/$HOST_NAME.out 2>&1 &
